package cn.com.qmth.sdk.test;

import cn.com.qmth.sdk.request.OuterGetSubjectivePaperStructReq;
import cn.com.qmth.sdk.util.HttpMethod;
import cn.com.qmth.sdk.util.JsonUtil;
import cn.com.qmth.sdk.util.OKHttpUtil;
import cn.com.qmth.sdk.util.QmthUtil;
import okhttp3.Response;
import org.apache.commons.io.IOUtils;

public class GetSubjectivePaperStruct {

    public static void main(String[] args) {
        //{'examId': 2,'subjectCode': 'ldyCos001'}
        OuterGetSubjectivePaperStructReq reqBody = new OuterGetSubjectivePaperStructReq();
        reqBody.setExamId(2L);

        String url = QmthUtil.buildUrl("/api/exchange/outer/question/getSubjectivePaperStruct");
        Response resp = null;
        try {
            resp = OKHttpUtil.call(HttpMethod.POST, url, QmthUtil.getSecurityHeaders(), JsonUtil.toJson(reqBody));
            System.out.println(resp.code());
            System.out.println(resp.body().string());
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            IOUtils.closeQuietly(resp);
        }
    }

}
